Bug 1712625 (CVE-2019-9816) - CVE-2019-9816 Mozilla: Type confusion with object groups and UnboxedObjects
Summary: CVE-2019-9816 Mozilla: Type confusion with object groups and UnboxedObjects
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190522,repo...
Depends On: 1709218 1709219 1709220 1709221 1709222
Blocks: 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-05-22 01:46 UTC by Doran Moppert
Modified: 2019-05-27 05:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-27 05:14:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:42 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:28 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:38 UTC

Description Doran Moppert 2019-05-22 01:46:42 UTC
A possible vulnerability exists where type confusion can occur when manipulating JavaScript objects in object groups, allowing for the bypassing of security checks within these groups. 

*Note: this vulnerability has only been demonstrated with `UnboxedObjects`, which are disabled by default on all supported releases.*



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-14/#CVE-2019-9816

Comment 1 Doran Moppert 2019-05-22 01:46:45 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Samuel Groß (Google Project Zero)

Comment 2 errata-xmlrpc 2019-05-23 15:32:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 3 errata-xmlrpc 2019-05-23 15:48:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 4 errata-xmlrpc 2019-05-23 16:07:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269


Note You need to log in before you can comment on or make changes to this bug.